#define FLASH_ERR_OK                   0
#define FLASH_ERR_HWR                  1
#define FLASH_ERR_ERASE_SUSPEND        2
#define FLASH_ERR_PROGRAM_SUSPEND      3
#define FLASH_ERR_PROTECT              4
#define FLASH_ERR_PROGRAM              5
#define FLASH_ERR_ERASE                6
#define FLASH_TIMEOUT                  7
#define FLASH_VERIFY_FAIL              8

int flash_hwr_init(void);
int flash_erase_sector(volatile unsigned short *block);
int flash_erase_region(volatile unsigned short *addr, int count);
int flash_program_region(volatile unsigned short *addr, unsigned short *data, int count);
extern volatile unsigned short FlashBaseAddress[];

